# cargopacket_sl.cpp File Reference

Code handling saving and loading of cargo packets. More...

`#include "../stdafx.h"`
`#include "../cargopacket.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions

static void | Save_CAPA ()
static void | Load_CAPA ()

## Variables

static const SaveLoad | _cargopacket_desc []
const ChunkHandler | _cargopacket_chunk_handlers []

## Detailed Description

Code handling saving and loading of cargo packets.

Definition in file cargopacket_sl.cpp.

## Variable Documentation

const ChunkHandler _cargopacket_chunk_handlers[]

Initial value:

     {
      { 'CAPA', Save_CAPA, Load_CAPA, CH_ARRAY | CH_LAST},
    }

const SaveLoad _cargopacket_desc[]`[static]`

Initial value:

     {
      SLE_VAR(CargoPacket, source,          SLE_UINT16),
      SLE_VAR(CargoPacket, source_xy,       SLE_UINT32),
      SLE_VAR(CargoPacket, loaded_at_xy,    SLE_UINT32),
      SLE_VAR(CargoPacket, count,           SLE_UINT16),
      SLE_VAR(CargoPacket, days_in_transit, SLE_UINT8),
      SLE_VAR(CargoPacket, feeder_share,    SLE_INT64),
      SLE_VAR(CargoPacket, paid_for,        SLE_BOOL),

    }

Definition at line 10 of file cargopacket_sl.cpp.